/***************************************************************************
 *   KFreeFlight : a FlightGear GUI-frontend designed for KDE users        *
 *                                                                         *
 *   Copyright (C) 2006 by Didier Fabert                                   *
 *   [didier.fabert AT free.fr]                                            *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef KFREEFLIGHTSPLASH_H
#define KFREEFLIGHTSPLASH_H

#include <qobject.h>

#include <qwidget.h>
#include <qvbox.h>
#include <qapplication.h>
#include <qpixmap.h>
#include <qlabel.h>
#include <qrect.h>
#include <qfont.h>
#include <qtimer.h>
#include <kstandarddirs.h>
#include <klocale.h>

/**
    @author Didier Fabert <didier.fabert@free.fr>
*/
class Splash : public QVBox
{
  Q_OBJECT

public:
  Splash();
  QLabel *m_progress;
  QTimer *m_timer;
  int nbLoop;
  ~Splash();

public slots:
  virtual void  writeMessages(QString message = 0);
  virtual void  writePoint();
};
#endif
